---
title: DeviceWebPages Endpoints (2017/01)
slug: legacy-docs/devicewebpages-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

These endpoints allow users to manage device webpages on the network.

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/DeviceWebPages*

## GET /

Returns a list of webpages on a device.

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

`sort`  string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of device webpage instances exceeds the `pageSize`.

`pageSize`  int

The maximum number of device webpage instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [WebPage Entity](#) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## DELETE /

Removes device webpages, specified by a filter, from a network. This allows multiple device webpages to be deleted at once.

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected device webpages as an integer value.

## GET /Count/ 

Returns the number of webpages on a device

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The device webpages count is returned as an integer value.

## GET  /\{id\:int}/ 

Returns the specified webpage(s) on a device

**Parameters**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [WebPage Entity](#)

## DELETE  /\{id\:int}/ 

Deletes specified webpage(s) on a device

**Parameters**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/ 

Returns the specified webpage(s) on a device

**Parameters**

`name` string

The name of the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [WebPage Entity](#)

## DELETE /&#x7B;name}/ 

Deletes specified webpage(s) on a device

**Parameters**

`name` string

The name of the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET /Operations/ 

Returns operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)
